Module | Locale::SystemPosix
In: | lib/locale/posix.rb

Locale::SystemPosix module for Posix OS (Unix) This is a low-level class. Application shouldn‘t use this directly.

### Methods

get_charset

### Public Instance methods

get_charset(locale)

Gets the charset of the locale.

- locale: Locale::Object
- Returns the charset of the locale

[Source]

        # File lib/locale/posix.rb, line 24
    24:     def get_charset(locale)
    25:       charset = `LANG=#{locale.to_str};locale charmap`.strip
    26:       unless $? && $?.success?
    27:         charset = "UTF-8"
    28:       end
    29:       charset
    30:     end

[Validate]